# GimpUi.enum_radio_box_new

    @accepts(GType, GObject.Callback, gpointer, GLib.DestroyNotify, Gtk.Widget)
    @returns(Gtk.Widget)
    def enum_radio_box_new(enum_type, callback, callback_data, callback_data_destroy, first_button):
        # Python wrapper for gimp_enum_radio_box_new()

Creates a new group of Gtk.RadioButtons representing the enum values. A group of radiobuttons is a good way to represent enums with up to three or four values. Often it is better to use a GimpUi.EnumComboBox instead.

Since 2.4

enum_type

  the GLib.Type of an enum.

callback

  a callback to connect to the "toggled" signal of each Gtk.RadioButton that is created.

callback_data

  data to pass to the callback.

callback_data_destroy

  Destroy function for callback_data.

first_button

  Returns the first button in the created group.

Returns